CREATE TABLE bm_config_sspl_props (
    ID                       NUMBER(18, 0) ,
    CONFIG_ATTR_ID           NUMBER(18, 0)     NOT NULL,
    RESOURCE_DOMAIN          VARCHAR2(1020)    NOT NULL,
    RES_ATTR_DISPLAY_NAME    VARCHAR2(1020)    NOT NULL,
    RES_ATTR_VAR_NAME        VARCHAR2(1020),
    RES_ATTR_IMAGE           VARCHAR2(1020),
    FILTER_STRING            VARCHAR2(4000),
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    GUID                     VARCHAR2(1020)    NOT NULL,
    RESOURCE_DOMAIN_TYPE     NUMBER(1, 0)      NOT NULL,
    ORDER_BY_COL             VARCHAR2(1020),
    ORDER_BY_DIR             NUMBER(1, 0)  ,
    DISTINCT_VALUE           NUMBER(1, 0)  ,
    CASE_SENSITIVE_SEARCH    NUMBER(1, 0)      NOT NULL,
    ID                       NUMBER(18, 0) ,
    CONFIG_ATTR_ID           NUMBER(18, 0)     NOT NULL,
    RESOURCE_DOMAIN          VARCHAR2(1020)    NOT NULL,
    RES_ATTR_DISPLAY_NAME    VARCHAR2(1020)    NOT NULL,
    RES_ATTR_VAR_NAME        VARCHAR2(1020),
    RES_ATTR_IMAGE           VARCHAR2(1020),
    FILTER_STRING            VARCHAR2(4000),
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    GUID                     VARCHAR2(1020)    NOT NULL,
    RESOURCE_DOMAIN_TYPE     NUMBER(1, 0)      NOT NULL,
    ORDER_BY_COL             VARCHAR2(1020),
    ORDER_BY_DIR             NUMBER(1, 0)  ,
    DISTINCT_VALUE           NUMBER(1, 0)  ,
    CASE_SENSITIVE_SEARCH    NUMBER(1, 0)      NOT NULL,
    CONSTRAINT pk_bm_config_sspl_props PRIMARY KEY (ID, ID)
);
